/***************************************************************************

	UNOS system error codes

	MODIFIED BY	REASON
	10/25/82 jeff	add ENOLOCK, EDEADLOCK for file locking code
	01/24/83 wjr	add ETOOMANY for filedesc ref count overflow
	06/22/83 john	add ENOSEG, ENOMORESEG for shared data segments
	08/12/83 larry	add for async ENOTDON, ENEEDLOCK, ENOTBUFFER, ENOTBUSY
			add EOUTOFORDER, ENOASYNCBUF, EBADADDR, EPREVIOERR
	09/13/83 larry	add EFSCRASHED for file system already marked mounted.
	11/09/83 john	Add EINVALSEG, EBADALIGN, ESEGBUSY for phys
	01/30/84 john	Add EBADSPFUN to have a sensible error for unrecognized
			spfun calls.  Add EWRPIPE for write w/o reader.
	04/02/84 wjr	Add error codes for ipc (EQEXIST(-72) to EBADQOP(-82))
	05/21/84 larry	added: ECONTIGNOALLOC, ECONTIGNOSPACE, and ENOTCONTIG
	06/01/84 tdh	Add EDSSTARTED through ..... PROTERR
	03/28/85 john	Add EDFSPROTOV and EDFSCANTDO
	12/18/85 john	Add ENOTOWNER
	02/05/86 rfm	Add EBADCOUNT, I/O length not block multiple.

***************************************************************************/

#define EINTERRUPTED	(-32768)
#define EBUSERR		(-32767)
#define ENDOFFILE	(-1)
#define EIOERR		(-2)
#define EBADSECT	(-3)
#define ETOOBIG		(-4)
#define ENOFILE		(-5)
#define ENOSTREAM	(-6)
#define EBADMODE	(-7)
#define ENOFD		(-8)
#define ENOLU		(-9)
#define ENOTOPEN	(-10)
#define ETOODEEP	(-11)
#define ECANTCREATE	(-12)
#define EMISSING	(-13)
#define EBADNAME	(-14)
#define EBADFS		(-15)
#define ENOTONLINE	(-16)
#define ENOSPACE	(-17)
#define EBADOBJFILE	(-18)
#define ENOTADIR	(-19)
#define EMISSDIR	(-20)
#define EDIRNOTEMPTY	(-21)
#define EISADIR		(-22)
#define EWRITEDIR	(-23)
#define ENOMNT		(-24)
#define ENOTADEV	(-25)
#define EMNTBUSY	(-26)
#define ENOTMOUNTED	(-27)
#define ENOSWAP		(-28)
#define ENOPROC		(-29)
#define ENOTAFILE	(-30)
#define EFBUSY		(-31)
#define EBADDEV		(-32)
#define EBADCALL	(-33)
#define EODDADDR	(-34)
#define EODDCNT		(-35)
#define EEXTDEV		(-36)
#define EEXISTS		(-37)
#define ENOCHILD	(-38)
#define ETRAP		(-39)
#define ENOTANEC	(-40)
#define ENOTDBLEC	(-41)
#define EBADLU		(-42)
#define ENOECS		(-43)
#define ENORDPERM	(-44)
#define ENOWRPERM	(-45)
#define ENOPIPE		(-46)
#define EBRKNPIPE	(-47)
#define EACCESS		(-48)
#define EBADHEADER	(-49)
#define EBADOFFSET	(-50)
#define ENOLOCK		(-51)
#define EDEADLOCK	(-52)
#define ETOOMANY	(-53)
#define ERDONLY		(-54)
#ifdef DSEG
#define ENOSEG		(-55)
#define ENOMORESEG	(-56)
#endif
#define	ENOTDONE	(-57)
#define	ENEEDLOCK	(-58)
#define	ENOTBUFFER	(-59)
#define	ENOTBUSY	(-60)
#define	EOUTOFORDER	(-61)
#define	ENOASYNCBUF	(-62)
#define	EBADADDR	(-63)
#define	EPREVIOERR	(-64)
#define	ERECTOOBIG	(-65)
#define	EFSCRASHED	(-66)
#define EINVALSEG	(-67)
#define EBADALIGN	(-68)
#define ESEGBUSY	(-69)
#define EBADSPFUN	(-70)
#define EWRPIPE		(-71)
#define EQEXIST		(-72)
#define ENOQUE		(-73)
#define ENOQSPACE	(-74)
#define ENOIPC		(-75)
#define EBADQ		(-76)
#define EQGONE		(-77)
#define EQTYPE		(-78)
#define ENOPKT		(-79)
#define EPKT2BIG	(-80)
#define EQFULL		(-81)
#define EBADQOP		(-82)
#define	ECONTIGNOALLOC	(-83)
#define	ECONTIGNOSPACE	(-84)
#define	ENOTCONTIG	(-85)
#define EDSNINIT	(-86)
#define EDSSTARTED	(-87)
#define EDSNSTARTED	(-88)
#define EDSNOPENED	(-89)
#define EDSBUSY		(-90)
#define EDSCLOSED	(-91)
#define EDSNOMBX	(-92)
#define EDSCLOSING	(-93)
#define EDSBADCFG	(-94)
#define EDSBADSUBF	(-95)
#define EDSNONODE	(-96)
#define EDSPROTERR	(-97)
#define EWOULDBLOCK	(-98)
#define EDFSPROTOV	(-99)
#define EDFSCANTDO	(-100)
#define ENOTOWNER	(-101)
#define EBADCOUNT	(-102)
