/*-----------------------------------------------------------

	Quad math package header file

	Author:	T. Hayes
	Date:	12/2/81
	Changes:

	Copyright (c) 1981 by Charles River Data Systems, Inc.

-------------------------------------------------------------*/

/*-----------------------------------------------------------

	Quads are 64 bit signed integers. Here it
	is declared as 4 16-bit words.

-------------------------------------------------------------*/
typedef short quad[4];

/*-----------------------------------------------------------

	Declaration of routines included in the
	quad package.

-------------------------------------------------------------*/
extern quad *qadd();
extern quad *qadd3();
extern quad *qsub();
extern quad *qsub3();
extern quad *qmul();
extern quad *qmul3();
extern quad *qdiv();
extern quad *qdiv3();

extern int qcmp();

extern quad *stoq();
extern quad *itoq();
extern quad *ltoq();
extern qtos();
extern qtoi();
extern qtol();

extern char *qtoa();
extern int atoq();
